API ReferenceRealtime
Get Realtime For Operators
Get the production of each operator for the current shift (Tower Control Operator View).
Returns one row per operator per machine for the specified machines. Machines are sorted by
name (asc by default), expanded into operator rows, and paginated before metrics are computed,
so only the machines represented by the current operator page are fetched. Within each machine,
operators are sorted by name asc. Each row includes the latest SKU associated with that operator's
production as skuId and sku.
Authorization
bearerAuth user, superuser, admin, superadmin, readonlyAuthorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Query Parameters
machineId*array<>
The machine's ID.
direction?string
The sort direction.
Value in
- "asc"
- "desc"
limit?number
The maximum number of results to return.
Format
doubleoffset?number
The number of results to skip before returning results.
Format
doubleResponse Body
application/json
Try it live
curl -X GET "https://example.com/machines/realtime/operators?machineId=0.1"{ "totalItems": 0.1, "data": [ { "shift": "string", "availability": 0.1, "downtime": 0.1, "uptime": 0.1, "production": 0.1, "machineName": "string", "machineId": 0.1, "sku": "string", "skuId": "string", "operatorName": "string", "operatorId": 0 } ]}